felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stuart McCulloch <mccu...@gmail.com>
Subject Re: maven-bundle-plugin respin to fix manifest writing bug
Date Mon, 23 Jun 2014 12:27:29 GMT
On 23 Jun 2014, at 13:19, Guillaume Nodet <gnodet@apache.org> wrote:

> I'd rather go for 2.5.1, but then, there was no real need to cancel 2.5.0

There was, because any basic maven project upgrading to 2.5.0 would break so IMHO it did not
meet our release quality. It just so happened that the projects I tested against involved
other plugins that led to the target/classes/META-INF directory being created, bypassing this
bug - but if you take a simple project (such as generated by the archetype plugin) and switch
the packaging to bundle using 2.5.0 then it breaks. 

> 2014-06-23 14:13 GMT+02:00 Stuart McCulloch <mcculls@gmail.com>:
> 
>> Hi,
>> 
>> Mark found a bug in the staged maven-bundle-plugin 2.5.0 release, so I’ve
>> cancelled the release vote and fixed it in trunk.
>> 
>> I’m considering staging the next release as 2.5.1 rather than re-using
>> 2.5.0 (and having to change the tag in svn, etc.) … any
>> thoughts/preferences?
>> 
>> —
>> Cheers, Stuart


Mime
View raw message